local sheepCheese = ...

-- Register model for stocking asset
sheepCheese:registerAssetId("models/crate.fbx/Prefab/crate","MY_CRATE")

-- Register image assets
sheepCheese:registerAssetId("icons/sheepMilk.png", "ICON_SHEEP_MILK")

-- Register model for stocking asset
sheepCheese:registerAssetId("models/jar.fbx/Prefab/jar","MY_JAR")

sheepCheese:registerPrefabComponent("models/jar.fbx/Prefab/jar", {
	DataType = "COMP_GROUNDED"
})

sheepCheese:register({
	DataType = "RESOURCE",
	Id = "SHEEP_MILK",
	ResourceName = "SHEEP_MILK",
	Icon = "ICON_SHEEP_MILK",
	ResourceType = "FOOD",
	IsTradable = true,
        ResourceLayoutType = "OPEN_BAGS",
        Prefab = "MY_JAR",
	VillagerBuyingPrice = { Resource = "GOLD", Quantity = 2 }
})

-- Register image assets
sheepCheese:registerAssetId("icons/sheepCheese.png", "ICON_SHEEP_CHEESE")

sheepCheese:register({
	DataType = "RESOURCE",
	Id = "SHEEP_CHEESE",
	ResourceName = "SHEEP_CHEESE",
	Icon = "ICON_SHEEP_CHEESE",
	ResourceType = "FOOD",
	IsTradable = true,
        ResourceLayoutType = "CRATES",
        Prefab = "MY_CRATE",
	VillagerBuyingPrice = { Resource = "GOLD", Quantity = 6 }
})

